<?xml version="1.0" encoding="UTF-8"?>
<schema queryBinding="xslt2"
        schemaVersion="1.0"
        xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
        xmlns="http://purl.oclc.org/dsdl/schematron"
        xmlns:fnx="http://www.example.com/fnx"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<title>ST.96 Conformance Checker - Test Suite Results</title>
	<ns prefix="svrl" uri="http://purl.oclc.org/dsdl/svrl"/>
  <ns prefix="fnx" uri="http://www.example.com/fnx"/>

  <xsl:include href="test_common.xsl"/>
  <!-- 
    Instructions:
    - create variables with expected failmsg for *.svrl file which is expected to fail assertion
    - - create assertion to check for this failmsg
    >  <assert test="fnx:no-fail-infile($failmsg2, '2.svrl', $inFileName)" flag="AUTO">
        <value-of select="$failmsg2"/>
      </assert>
    - create assertion for pass tests: 
      <assert test="fnx:failed-assert-count-is-infile(0, '1.svrl', $inFileName, .)" flag="AUTO">
        <xsl:value-of select="fnx:wrong-error-count-message(0, .)"/>
      </assert>
    - create assertion for fail tests:
      <assert test="fnx:failed-assert-count-is-infile(1, '2.svrl', $inFileName, .)" flag="AUTO">
        <xsl:value-of select="fnx:wrong-error-count-message(1, .)"/>
      </assert>
  -->
	<pattern>
		<title>SD-30</title>

    <rule context="svrl:schematron-output" role="ERROR">
      <let name="inFileName" value="tokenize(base-uri(), '/')[last()]"/>

      <let name="failmsg1" value="fnx:expect-infile(
                                  'The version attribute is not specified.',
                                  'bad.svrl', $inFileName, /)"/>
      <let name="failmsg2" value="fnx:expect-infile(
                                  '&quot;1.0&quot; does not follow the form &quot;V&lt;MajorNumber&gt;_&lt;MinorNumber&gt;_&lt;OptionalPatchNumber&gt;&quot;',
                                  'bad2.svrl', $inFileName, /)"/>
      <let name="failmsg3" value="fnx:expect-infile(
        '&quot;V4_01&quot; does not follow the form &quot;V&lt;MajorNumber&gt;_&lt;MinorNumber&gt;_&lt;OptionalPatchNumber&gt;&quot;',
        'OrphanWorkAlternativeTitleBag.svrl', $inFileName,/
        )"/>
      <let name="failmsg4" value="fnx:expect-infile(
        '&quot;V4_01&quot; does not follow the form &quot;V&lt;MajorNumber&gt;_&lt;MinorNumber&gt;_&lt;OptionalPatchNumber&gt;&quot;',
        'OrphanWorkTitleBagType.svrl', $inFileName,/
        )"/>
      <!-- Assertions -->
      <assert test="fnx:failed-assert-count-is-infile(0, 'good.svrl', $inFileName, .)" flag="AUTO" diagnostics="uri SD-30" role="ERROR">
        <xsl:value-of select="fnx:wrong-error-count-message(0, .)"/>
      </assert>
      <assert test="fnx:failed-assert-count-is-infile(0, 'good2.svrl', $inFileName, .)" flag="AUTO" diagnostics="uri SD-30" role="ERROR">
        <xsl:value-of select="fnx:wrong-error-count-message(0, .)"/>
      </assert>
      <assert test="fnx:failed-assert-count-is-infile(1, 'OrphanWorkAlternativeTitleBag.svrl', $inFileName, .)" flag="AUTO" diagnostics="uri SD-30" role="ERROR">
        <xsl:value-of select="fnx:wrong-error-count-message(1, .)"/>
      </assert>
      <assert test="fnx:failed-assert-count-is-infile(1, 'OrphanWorkTitleBagType.svrl', $inFileName, .)" flag="AUTO" diagnostics="uri SD-30" role="ERROR">
        <xsl:value-of select="fnx:wrong-error-count-message(1, .)"/>
      </assert>

      <assert test="fnx:no-fail-infile($failmsg1, 'bad.svrl', $inFileName)" flag="AUTO" diagnostics="uri SD-30" role="ERROR">
        <value-of select="$failmsg1"/>
      </assert>
      <assert test="fnx:no-fail-infile($failmsg2, 'bad2.svrl', $inFileName)" flag="AUTO" diagnostics="uri SD-30" role="ERROR">
        <value-of select="$failmsg2"/>
      </assert>
      <assert test="fnx:no-fail-infile($failmsg3, 'OrphanWorkAlternativeTitleBag.svrl', $inFileName)" flag="AUTO" diagnostics="uri SD-30" role="ERROR">
        <value-of select="$failmsg3"/>
      </assert>
      <assert test="fnx:no-fail-infile($failmsg4, 'OrphanWorkTitleBagType.svrl', $inFileName)" flag="AUTO" diagnostics="uri SD-30" role="ERROR">
        <value-of select="$failmsg4"/>
      </assert>
    </rule>
	</pattern>
<diagnostics><diagnostic id="SD-30"/><diagnostic id="uri"> <value-of select="document-uri(/)"/> </diagnostic></diagnostics></schema>