<?xml version="1.0" encoding="UTF-8"?>
<schema queryBinding="xslt2"
        schemaVersion="1.0"
        xmlns:svrl="http://purl.oclc.org/dsdl/svrl"
        xmlns="http://purl.oclc.org/dsdl/schematron"
        xmlns:fnx="http://www.example.com/fnx"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<title>ST.96 Conformance Checker - Test Suite Results</title>
	<ns prefix="svrl" uri="http://purl.oclc.org/dsdl/svrl"/>
  <ns prefix="fnx" uri="http://www.example.com/fnx"/>

  <xsl:include href="test_common.xsl"/>
  <!-- 
    Instructions:
    - create variables with expected failmsg for *.svrl file which is expected to fail assertion
    - - create assertion to check for this failmsg
    >  <assert test="fnx:no-fail-infile($failmsg2, '2.svrl', $inFileName)" flag="AUTO">
        <value-of select="$failmsg2"/>
      </assert>
    - create assertion for pass tests: 
      <assert test="fnx:failed-assert-count-is-infile(0, '1.svrl', $inFileName, .)" flag="AUTO">
        <xsl:value-of select="fnx:wrong-error-count-message(0, .)"/>
      </assert>
    - create assertion for fail tests:
      <assert test="fnx:failed-assert-count-is-infile(1, '2.svrl', $inFileName, .)" flag="AUTO">
        <xsl:value-of select="fnx:wrong-error-count-message(1, .)"/>
      </assert>
  -->
	<pattern>
		<title>SD-63</title>

    <rule context="svrl:schematron-output" role="ERROR">
      <let name="inFileName" value="tokenize(base-uri(), '/')[last()]"/>

      <let name="expected1" value="'Root element does not declare an optional ipoVersion attribute with a fixed value of the form &lt;ST3CODE&gt;_V&lt;major version&gt;_&lt;minor version&gt;{_&lt;patch version&gt;}.'"/>
      <let name="expected2" value="'@ipoVersion=ZZ_V1_0 is fixed but does not start with a valid ST.3 code.'"/>
      <let name="expected3" value="'@ipoVersion=US_V1.0 is fixed but does not have the format &lt;ST.3 Code>_V&lt;major version number>_&lt;minor version number>_&lt;optional patch number>.'"/>
      <let name="expected6" value="'@ipoVersion=V1_0 is fixed but does not have the format &lt;ST.3 Code>_V&lt;major version number>_&lt;minor version number>_&lt;optional patch number>.'"/>

      <let name="failmsg3" value="fnx:expect-infile(
                                  $expected3,
                                  '3.svrl', $inFileName, /)"/>
      <let name="failmsg4" value="fnx:expect-infile(
                                  $expected1,
                                  '4.svrl', $inFileName, /)"/>
      <let name="failmsg6" value="fnx:expect-infile(
                                  $expected6,
                                  '6.svrl', $inFileName, /)"/>
      <let name="failmsg7" value="fnx:expect-infile(
                                  $expected2,
                                  '7.svrl', $inFileName, /)"/>
      <!-- Assertions -->
      <assert test="fnx:failed-assert-count-is-infile(0, '1.svrl', $inFileName, .)" flag="AUTO" diagnostics="uri SD-63" role="ERROR">
        <xsl:value-of select="fnx:wrong-error-count-message(0, .)"/>
      </assert>
      <assert test="fnx:failed-assert-count-is-infile(0, 'a.svrl', $inFileName, .)" flag="AUTO" diagnostics="uri SD-63" role="ERROR">
        <xsl:value-of select="fnx:wrong-error-count-message(0, .)"/>
      </assert>
      <assert test="fnx:failed-assert-count-is-infile(0, '2.svrl', $inFileName, .)" flag="AUTO" diagnostics="uri SD-63" role="ERROR">
        <xsl:value-of select="fnx:wrong-error-count-message(0, .)"/>
      </assert>
      <assert test="fnx:failed-assert-count-is-infile(1, '3.svrl', $inFileName, .)" flag="AUTO" diagnostics="uri SD-63" role="ERROR">
        <xsl:value-of select="fnx:wrong-error-count-message(1, .)"/>
      </assert>
      <assert test="fnx:failed-assert-count-is-infile(1, '4.svrl', $inFileName, .)" flag="AUTO" diagnostics="uri SD-63" role="ERROR">
        <xsl:value-of select="fnx:wrong-error-count-message(1, .)"/>
      </assert>
      <assert test="fnx:failed-assert-count-is-infile(0, '5.svrl', $inFileName, .)" flag="AUTO" diagnostics="uri SD-63" role="ERROR">
        <xsl:value-of select="fnx:wrong-error-count-message(0, .)"/>
      </assert>
      <assert test="fnx:failed-assert-count-is-infile(2, '6.svrl', $inFileName, .)" flag="AUTO" diagnostics="uri SD-63" role="ERROR">
        <xsl:value-of select="fnx:wrong-error-count-message(1, .)"/>
      </assert>
      <assert test="fnx:failed-assert-count-is-infile(1, '7.svrl', $inFileName, .)" flag="AUTO" diagnostics="uri SD-63" role="ERROR">
        <xsl:value-of select="fnx:wrong-error-count-message(1, .)"/>
      </assert>

      <assert test="fnx:no-fail-infile($failmsg3, '3.svrl', $inFileName)" flag="AUTO" diagnostics="uri SD-63" role="ERROR">
        <value-of select="$failmsg3"/>
      </assert>
      <assert test="fnx:no-fail-infile($failmsg4, '4.svrl', $inFileName)" flag="AUTO" diagnostics="uri SD-63" role="ERROR">
        <value-of select="$failmsg4"/>
      </assert>
      <assert test="fnx:no-fail-infile($failmsg6, '6.svrl', $inFileName)" flag="AUTO" diagnostics="uri SD-63" role="ERROR">
        <value-of select="$failmsg6"/>
      </assert>
      <assert test="fnx:no-fail-infile($failmsg7, '7.svrl', $inFileName)" flag="AUTO" diagnostics="uri SD-63" role="ERROR">
        <value-of select="$failmsg7"/>
      </assert>
     </rule>
	</pattern>
<diagnostics><diagnostic id="SD-63"/><diagnostic id="uri"> <value-of select="document-uri(/)"/> </diagnostic></diagnostics></schema>
